Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80061 - wrong default configuration for ldap.conf
Summary: wrong default configuration for ldap.conf
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: nss_ldap
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Jay Turner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-19 13:06 UTC by Harald Wagener
Modified: 2015-01-08 00:02 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-10-18 16:34:34 UTC


Attachments (Terms of Use)

Description Harald Wagener 2002-12-19 13:06:24 UTC
Description of problem:

nss_ldap (and pam_ldap) uses another default path for the ldap.conf
configuration file than the openldap packages

Version-Release number of selected component (if applicable):
nss_ldap-198-3

How reproducible:
always

Steps to Reproduce:
1.install openldap-servers, nss_ldap and configure /etc/nsswitch.conf like
 groups ldap files
 
2. add group information to the ldap server pointed at in /etc/openldap/ldap.conf

3. check existence of group entry using 'ldapsearch'
    
4. lookup user info using unix commands, i.e. 'id <username>'


Actual results: group info is not available via the name service switch as
nss_ldap.so does not find the proper configuration file.

Expected results: nss should use the central ldap configuration file, providing
full information


Additional info: IMHO, the default location/filename should not be
/etc/ldap.conf, but something like /etc/nss_ldap.conf or /etc/nss_ldap/ldap.conf

Comment 1 Bill Nottingham 2006-08-07 19:10:17 UTC
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.

Comment 2 Bill Nottingham 2006-10-18 16:34:34 UTC
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.


Note You need to log in before you can comment on or make changes to this bug.